160 GOTO 180
170 FOR IS=1 TO 24:PRINT:NEXT IS:RETURN :REM This is screen clear subroutine
180 GOSUB 170
190 PRINT "MORTCOST . . . A MORTGAGE COST ANALYSIS TOOL
200 PRINT
210 PRINT "This program is capable of computing the overall costs of a home mortgage.
220 PRINT "The effect of variable interest rates, so called 'points' or direct costs,
230 PRINT "the tax advantages of the loan, and the influence of inflation are
240 PRINT "all considered in the analysis. 
290 PRINT
300 PRINT "Version 2.7"
310 PRINT "Copyright (c) 1986 by Joann and Terry Quinn"
315 PRINT "See documentation file MORTCOST.DOC for program features, capabilities, and 
316 PRINT "instructions, plus restrictions on commercial use and distribution.
320 FOR IS=1 TO 6:PRINT:NEXT IS
360 SIZE=60
370 B=0
372 DIM LO(SIZE),PO(SIZE),TEMP(SIZE),TA(SIZE),DI(SIZE),IN(SIZE),PR(SIZE),ZP(SIZE),PA(SIZE)
374 DIM CY(SIZE),IL(SIZE),X1(SIZE),X2(SIZE),X3(SIZE),X4(SIZE),ZL(SIZE),ZT(SIZE),TX(SIZE),PP(SIZE),CO(SIZE)
400 REM**ENTERING AMORTIZATION PERIOD AND DIMENSIONING FIELDS**
430 INPUT "ENTER AMORTIZATION PERIOD (LENGTH) OF LOAN IN YEARS"; KYEARS
435 IF INT(KYEARS)<>KYEARS OR KYEARS<=0 THEN PRINT "YEAR MUST BE A POSITIVE INTEGER . . . RETRY":GOTO 430
437 IF KYEARS > SIZE THEN PRINT "MAXIMUM ENTRY ="SIZE"    RE-ENTER":GOTO 430
440 KXYEARS = KYEARS + 1
450 IF B<>0 THEN 3000 :REM THIS KEEPS IT MOVING THROUGH INITIAL ENTRIES
500 REM
600 REM **THIS SECTION ENTERS LOAN AMOUNT **
610 REM 
620 PRINT
630 INPUT "ENTER LOAN PRINCIPAL  $",PR(0)
640 PRINT
650 IF B<>0 THEN 3000
670 PRINT
700 REM **THIS SECTION FOR ENTERING LOAN INTEREST RATES**
710 FOR J = 0 TO SIZE
720 LO(J) = 1E+06
730 NEXT J
740 PRINT "ENTER LOAN INTEREST RATE FOR FIRST YEAR"
750 INPUT "(For example, 11.5% would be enterred as 11.5)  Enter here--> ",LO(1)
760 PRINT
770 PRINT
780 PRINT "IF INTEREST RATE CHANGES DURING LOAN PERIOD, ENTER THE YEAR THAT THE NEW RATE"
790 PRINT "STARTS AT AND THE NEW RATE.  NOTE:  FIRST YEAR OF LOAN IS YEAR 1."
800 PRINT "To skip to next input, type S for YEAR"
810 PRINT
820 INPUT "YEAR--> ", K$
830 IF K$ = CHR$(83) OR K$ = CHR$(115) THEN GOTO 870
840 K=VAL(K$)
845 IF INT(K)<>K OR K<=0 THEN PRINT "YEAR MUST BE A POSITIVE INTEGER, TRY AGAIN":GOTO 820
847 IF K>SIZE THEN PRINT "MAXIMUM ENTRY ="SIZE"    RE-ENTER":GOTO 820
850 INPUT "INTEREST RATE--> ", LO(K)
860 GOTO 820
870 PRINT
880 PRINT
890 PRINT
900 J=2
910 IF LO(J) = 1E+06 THEN LO(J) = LO (J-1)
920 IF J = SIZE THEN 950
930 J = J+1
940 GOTO 910
950 PRINT
960 IF B<>0 THEN 3000
980 PRINT
1000 REM **THIS SECTION ENTERS TAX BRACKETS**
1010 FOR J=0 TO SIZE
1020 TA(J)=1E+06
1030 NEXT J  :REM **CLEARS TAX BRACKET REGISTERS**
1040 PRINT "ENTER YOUR CURRENT INCOME TAX BRACKET %-age (example: 25% --> 25 )"
1050 INPUT "Enter S to skip if you do not want tax calculations--> ",K$
1051 IF K$=CHR$(83) OR K$=CHR$(115) THEN TA(1)=0:GOTO 1150
1052 TA(1)=VAL(K$)
1053 IF TA(1)<1 AND TA(1)<>0 THEN PRINT:PRINT "RE-ENTER AS NON-DECIMAL":GOTO 1040
1060 PRINT "
1070 PRINT "IF YOU THINK YOUR TAX BRACKET WILL CHANGE IN THE FUTURE, ENTER"
1080 PRINT "THE YEAR AND NEW BRACKET.  Enter S for YEAR when finished."
1090 PRINT "
1100 INPUT "YEAR--> ", K$
1110 IF K$ = CHR$(83) OR K$ = CHR$(115) THEN 1150
1120 K=VAL(K$)
1125 IF INT(K)<>K OR K<=0 THEN PRINT "YEAR MUST BE A POSITIVE INTEGER, TRY AGAIN":GOTO 1100
1127 IF K>SIZE THEN PRINT "MAXIMUM VALUE =    "SIZE   "RE-ENTER":GOTO 1100
1130 INPUT "TAX BRACKET--> ",TA(K)
1135 IF TA(K)<1 AND TA(K)<>0 THEN PRINT "RE-ENTER AS NON-DECIMAL":GOTO 1130
1140 GOTO 1100
1150 PRINT
1160 PRINT
1170 J=2
1180 IF TA(J)=1E+06 THEN TA(J) = TA(J-1)
1190 IF J =SIZE THEN 1220
1200 J=J+1
1210 GOTO 1180
1220 PRINT
1230 IF B<>0 THEN 3000
1300 REM **THIS SECTION IS TO ENTER LOAN POINTS**
1310 FOR J=0 TO SIZE
1320 PO(J)=0
1330 NEXT J :REM CLEARS POINTS REGISTERS
1340 PRINT "ENTER YEAR & LOAN INTEREST 'POINTS' FOR ANY YEAR THAT"
1350 PRINT "THEY ARE EXPECTED.  EXAMPLE: 2.5% (2.5 'POINTS') IS ENTERRED AS 2.5"
1360 PRINT "Enter S for year when finished."
1370 PRINT
1380 INPUT "YEAR--> ", K$
1390 IF K$ = CHR$(83) OR K$ = CHR$(115) THEN GOTO 1430
1400 K=VAL(K$)
1405 IF INT(K)<>K OR K<=0 THEN PRINT "YEAR MUST BE A POSITIVE INTEGER, TRY AGAIN":GOTO 1380
1407 IF K>SIZE THEN PRINT "MAXIMUM VALUE =    "SIZE   "RE-ENTER":GOTO 1380
1410 INPUT "POINTS--> ",PO(K)
1420 GOTO 1380
1430 PRINT
1440 PRINT
1450 PRINT
1460 IF B<>0 THEN 3000
1500 REM **THIS SECTION FOR NON-DEDUCTIBLE LOAN EXPENSES**
1510 FOR J=0 TO SIZE
1520 DI(J)=0
1530 NEXT J
1540 PRINT "ENTER YEAR & NON-DEDUCTIBLE EXPENSES (DIRECT COSTS) OF LOAN (DOLLARS)."
1550 PRINT "Enter S for YEAR when finished."
1560 PRINT
1570 INPUT "YEAR--> ", K$
1580 IF K$ = CHR$(83) OR K$ = CHR$(115) THEN GOTO 1620
1590 K=VAL(K$)
1595 IF INT(K)<>K OR K<=0 THEN PRINT "YEAR MUST BE A POSITIVE INTEGER, TRY AGAIN":GOTO 1570
1597 IF K>SIZE THEN PRINT "MAXIMUM VALUE =    "SIZE   "RE-ENTER":GOTO 1570
1600 INPUT "DIRECT LOAN COSTS-->  $",DI(K)
1610 GOTO 1570
1620 PRINT
1630 PRINT
1640 IF B<>0 THEN 3000
1700 REM **THIS IS PART OF PROGRAM THAT ENTERS INFLATION RATE**
1710 FOR J=0 TO SIZE
1720 IN(J) =1E+06
1730 NEXT J
1740 PRINT "ENTER ESTIMATE OF THE CURRENT INFLATION RATE TO CALCULATE"
1760 PRINT "THE COST OF THE LOAN IN TODAY'S DOLLARS.  Enter S to skip this feature"
1770 PRINT "(Example: 6% inflation enterred as 6)
1780 PRINT "
1790 INPUT "ENTER INFLATION ESTIMATE--> ", K$
1792 IF K$=CHR$(83) OR K$ = CHR$(115) THEN IN(1)=0: GOTO 1900
1794 IN(1)=VAL(K$)
1800 PRINT
1810 PRINT "IF YOU THINK INFLATION WILL CHANGE IN A FUTURE YEAR OR YEARS
1820 PRINT "ENTER THE YEAR AND NEW RATE."
1830 PRINT "Enter S for year when finished."
1840 PRINT
1850 INPUT "YEAR--> ", K$
1860 IF K$ = CHR$(83) OR K$ = CHR$(115) THEN GOTO 1900
1870 K=VAL(K$)
1875 IF INT(K)<>K OR K<=0 THEN PRINT "YEAR MUST BE A POSITIVE INTEGER, TRY AGAIN":GOTO 1850
1877 IF K>SIZE THEN PRINT "MAXIMUM VALUE =    "SIZE   "RE-ENTER":GOTO 1850
1880 INPUT "INFLATION RATE--> ", IN(K)
1890 GOTO 1850
1900 PRINT
1910 PRINT
1920 J=2
1930 IF IN(J)=1E+06 THEN IN(J) = IN(J-1)
1940 IF J=SIZE THEN 1970
1950 J = J+1
1960 GOTO 1930
1970 IF B<>0 THEN 3000
1975 PRINT
1980 PRINT
1990 PRINT "STANDBY"
2500 REM  *** ENTERRING PRINT USING STRINGS FOR DISPLAY ***
2510 P$ ="  $$###,###,###.##"
2520 B1$="###"
2530 B2$="      ##" 
2540 B3$="    ##.##"
2550 B5$="  ##.###"
2560 B6$="       #.## "
2570 B7$=" $$###,###.##"
2580 B8$="$$#,###.##"
2590 B9$="$$###,###,###.##"
2600 C1$="                                      $$##,###,###.##"
2620 C3$="$$##,###,###.##"
2630 C4$="$$#,###,###.## "
2650 C6$="  $$###,###,###.## "
2660 C7$="$$#,###,###.##"
2680 D3$="  $$##,###,###.##"
2690 D4$="    $$##,###,###.##"
2710 E1$="      $$##,###,###.##"
2720 F3$="$$##,###,###"
2730 F4$="$$##,###,### "
2740 F5$="##"
3000 REM ** INITIAL INPUT ENDED, START OF COMPUTATION AND OUTPUT **
3002 REM ***  FIRST PART DISPLAYS MENU  ***
3010 ITEST = 0 :REM  ** SETS FLAG TO SEND OUTPUT TO PRINTER
3020 B=1  :REM **TURNS OFF PASS THROUGH FLAG SO THAT 
3030 REM       **INDIVIDUAL VALUES CAN BE CHANGED.
3040 GOSUB 170
3050 PRINT "A  CHANGES      AMORTIZATION PERIOD OF LOAN"
3060 PRINT "B  CHANGES      LOAN PRINCIPAL AMOUNT
3070 PRINT "C  CHANGES      LOAN INTEREST RATE SCHEDULE"
3080 PRINT "D  CHANGES      TAX BRACKET SCHEDULE"
3090 PRINT "E  CHANGES      LOAN POINTS"
3100 PRINT "F  CHANGES      DIRECT COSTS"
3110 PRINT "G  CHANGES      INFLATION RATE SCHEDULE"
3120 PRINT
3130 PRINT "V  VIEW CURRENT SETTINGS OF INPUTS"
3140 PRINT
3150 PRINT "P  COMPUTE RESULTS AND SEND OUTPUT TO PRINTER"
3160 PRINT "S  COMPUTE RESULTS AND SEND OUTPUT TO SCREEN"
3170 PRINT
3180 PRINT "X  EXIT PROGRAM AND RETURN TO OPERATING SYSTEM"
3190 PRINT
3200 PRINT 
3210 PRINT "ENTER LETTER OF DESIRED ROUTINE (Your choice)"
3220 PRINT
3230 K$ = INKEY$
3240 IF K$="A" OR K$="a" THEN GOTO 400
3250 IF K$="B" OR K$="b" THEN GOTO 600
3260 IF K$="C" OR K$="c" THEN GOTO 700
3270 IF K$="D" OR K$="d" THEN GOTO 1000
3280 IF K$="E" OR K$="e" THEN GOTO 1300
3290 IF K$="F" OR K$="f" THEN GOTO 1500
3300 IF K$="G" OR K$="g" THEN GOTO 1700
3310 IF K$="P" OR K$="p" THEN GOTO 6000
3320 IF K$="S" OR K$="s" THEN ITEST = 1 : GOTO 6000
3330 IF K$="X" OR K$="x" THEN GOTO 10000
3340 IF K$="V" OR K$="v" THEN GOTO 3360
3350 GOTO 3230
3360 PRINT
3370 PRINT "ENTER LETTER OF DESIRED SETTING TO VIEW (A-G)"
3380 K$=INKEY$
3390 IF K$="A" OR K$="a" THEN GOTO 3500
3400 IF K$="B" OR K$="b" THEN GOTO 3600
3410 IF K$="C" OR K$="c" THEN GOTO 3800
3420 IF K$="D" OR K$="d" THEN GOTO 4000
3430 IF K$="E" OR K$="e" THEN GOTO 4200
3440 IF K$="F" OR K$="f" THEN GOTO 4400
3450 IF K$="G" OR K$="g" THEN GOTO 4600
3460 GOTO 3380
3500 GOSUB 170
3502 REM ***START OF DISPLAY OF TABLES****
3510 PRINT
3520 PRINT
3530 PRINT "THE CURRENT SETTING OF THE AMORTIZATION PERIOD IS ";KYEARS;" YEARS."
3540 PRINT
3550 PRINT
3560 PRINT
3570 PRINT "HIT ANY KEY TO CONTINUE"
3580 K$=INKEY$:IF LEN(K$)= 0 THEN 3580
3590 GOTO 3040
3600 GOSUB 170
3610 PRINT
3620 PRINT
3630 PRINT
3640 PRINT "LOAN PRINCIPAL AMOUNT EQUALS $";PR(0)
3650 PRINT
3660 PRINT
3670 PRINT
3680 PRINT "HIT ANY KEY TO CONTINUE"
3690 K$=INKEY$: IF LEN(K$)=0 THEN 3690
3700 GOTO 3040
3710 REM ***FOLLOWING SECTIONS CALL TABLE DISPLAY SUBROUTINE***
3800 REM **DISPLAYS SCHEDULE OF LOAN INTEREST ***
3820 BS=14
3830 F2$="##.###       "
3840 GOSUB 170
3850 PRINT "LOAN INTEREST RATE SCHEDULE"
3860 PRINT
3870 FOR I=1 TO SIZE
3880 TEMP(I) = LO(I)
3890 NEXT I
3900 GOSUB 5000
3910 GOTO 3040
4000 REM **   DISPLAYS SCHEDULE OF TAX BRACKETS ***
4020 F2$="##.#         "
4030 GOSUB 170
4040 BS=12
4050 PRINT "TAX BRACKET SCHEDULE"
4060 PRINT
4070 FOR I=1 TO SIZE
4080 TEMP(I) = TA(I)
4090 NEXT I
4100 GOSUB 5000
4110 GOTO 3040
4200 REM ***  DISPLAYS LOAN POINTS  ********
4220 F2$="##.##        "
4230 BS=13
4240 GOSUB 170
4250 PRINT "DIRECT PAYMENT OF INTEREST ('POINTS')"
4260 PRINT
4270 FOR I=1 TO SIZE
4280 TEMP(I) = PO(I)
4290 NEXT I
4300 GOSUB 5000
4310 GOTO 3040
4400 REM **   DISPLAYS DIRECT COSTS OF LOAN ***
4420 F2$="#####        "
4430 GOSUB 170
4440 BS=13
4450 PRINT "LOAN DIRECT COSTS"
4460 PRINT
4470 FOR I=1 TO SIZE
4480 TEMP(I) = DI(I)
4490 NEXT I
4500 GOSUB 5000
4510 GOTO 3040
4600 REM  *****  DISPLAYS INFLATION RATE SCHEDULE   ****
4620 F2$="##.##        "
4630 BS=13
4640 GOSUB 170
4650 PRINT "INFLATION RATE SCHEDULE"
4660 PRINT
4670 FOR I=1 TO SIZE
4680 TEMP(I) = IN(I)
4690 NEXT I
4700 GOSUB 5000
4710 GOTO 3040
4720 STOP
5000 REM ******SUBROUTINE FOR SCREEN DISPLAY OF TABLES*********
5040 REM 
5050 PRINT "YEAR    VALUE        YEAR    VALUE        YEAR    VALUE"
5060 JSUB=1
5065 F1$=" ##     "
5070 IF KYEARS <=20 THEN 5100 
5080 IF KYEARS <=40 THEN 5200
5090 GOTO 5300
5100 PRINT USING F1$;JSUB;:PRINT USING F2$;TEMP(JSUB)
5110 IF JSUB = KYEARS THEN 5420
5120 IF JSUB = 20 THEN 5420
5130 JSUB=JSUB+1
5140 GOTO 5100
5200 PRINT USING F1$;JSUB;:PRINT USING F2$;TEMP(JSUB);:PRINT USING F1$;JSUB+20;:PRINT USING F2$;TEMP(JSUB+20)
5210 IF JSUB + 20 = KYEARS THEN 5212 ELSE GOTO 5220
5212 IF KYEARS = 40 THEN 5420 ELSE JSUB = JSUB + 1:GOTO 5100
5220 IF JSUB + 20 = 40 THEN 5420
5230 JSUB = JSUB + 1
5240 GOTO 5200
5300 PRINT USING F1$;JSUB;:PRINT USING F2$;TEMP(JSUB);: PRINT USING F1$;JSUB + 20;:PRINT USING F2$;TEMP(JSUB+20);: PRINT USING F1$;JSUB + 40;:PRINT USING F2$;TEMP(JSUB + 40)
5310 IF JSUB + 40 = KYEARS THEN 5315 ELSE 5320
5315 IF KYEARS = 60 THEN 5420 ELSE JSUB = JSUB + 1:GOTO 5200
5320 IF JSUB + 40 = INT(SIZE) THEN 5420
5330 JSUB = JSUB + 1
5340 GOTO 5300
5420 PRINT "HIT ANY KEY TO CONTINUE";
5430 K$=INKEY$: IF LEN(K$)=0 THEN 5430
5450 RETURN
5480 REM     ***END OF SUBROUTINE**
5490 REM 
5495 REM  ***BEGINNING OF ACTUAL MATHEMATICAL COMPUTATIONS****
6000 PRINT 
6004 PRINT
6005 IF ITEST=1 THEN 6009
6006 PRINT "ENTER OPTIONAL TITLE"
6007 INPUT "(No commas, 40 characters max)--->",A$
6008 IF LEN(A$)>40 THEN PRINT "TOO LONG, RE-ENTER":GOTO 6006
6009 PRINT
6020 PRINT "PLEASE WAIT"
6030 J=1
6040 X1(0)=0:X2(0)=0:X3(0)=0:X4(0)=0
6060 NPERIODS = KYEARS * 12
6070 REM **COMPUTE PAYMENT**
6090 PA (J) = (PR (J-1) * ((LO(J))/1200)) / ( 1 -((1+(LO(J)/1200))  ^(-NPERIODS)))
6100 REM **COMPUTE PRINCIPAL**
6110 PR(J) = ( 1 / (( 1 + ( LO(J) / 1200 )) ^(-12))) * (( PA(J)) * (((( 1 + ( LO(J)/1200)) ^(-12) ) -1) / ( LO(J) / 1200 )) + ( PR(J-1) ))
6120 REM **COMPUTE PRINCIPAL PAID**
6130 PP(J) = PR(J-1) - PR(J)
6140 REM **COMPUTE LOAN INTEREST**
6150 ZL(J) = (PA(J) * 12) - PP(J)
6160 REM **COMPUTE POINTS**
6170 ZP(J) = PR(J-1) * (  (PO (J))/100  )
6180 REM **TOTAL UP LOAN INTEREST & POINTS **
6190 ZT(J) = ZP(J) + ZL (J)
6200 REM **TAX SAVED ON LOAN INTEREST**
6210 TX(J) = ZT(J) * (  ( TA(J))/100  )
6212 REM **NET INTEREST AND DIRECT COST **
6214 CU = ZT(J) - TX(J) + DI(J)
6220 REM **NET LOAN CASH OUTLAY **
6230 CO(J) = ZT(J) - TX(J) + PP(J) + DI (J)
6240 REM **COMPUTE INFLATION FACTOR & TOTAL COSTS IN CURRENT YEAR'S DOLLARS.**
6250 IL(0) = 1
6260 IL(J) = IL(J-1) * (1 + ((IN(J))/100) ): REM cumulative inflation factor
6270 X1(J) = X1(J-1) + CO(J):REM Sum of total cash out
6280 CY(J) = (CO(J)) / IL(J):REM Converts cash out to current dollars
6290 X2(J) = X2(J-1) + CY(J):REM Sum of cash out, current dollars
6292 X3(J) = X3(J-1) + CU   :REM Sum of net interest and direct
6294 CV    = (CU) / IL(J)   :REM Converts net int & dir to current dollars
6296 X4(J) = X4(J-1) + CV   :REM Sum of net int&dir in current dollars
6300 J=J+1
6310 IF J=KXYEARS THEN 7000  :REM     **COMPUTATION FINISHED; GOING TO OUTPUT
6320 IF LO(J) = LO (J-1) THEN 6340
6330 GOTO 6360
6340 PA(J) = PA(J-1)
6350 GOTO 6110
6360 NPERIODS = (KYEARS - (J-1)) * 12
6370 GOTO 6070
7000 REM     ****START OF OUTPUT****************
7010 IF ITEST = 1 THEN 9000
7500 REM     ****ROUTINE FOR PRINTED OUTPUT********
7510 PRINT "YOU SHOULD BE GETTING OUTPUT NOW"
7530 LPRINT "'MORTCOST' ANALYSIS                ";A$
7532 LPRINT
7540 LPRINT "ABBREVIATIONS";:LPRINT "                            LOAN AMOUNT";:LPRINT USING P$;PR(0)
7550 LPRINT "FEY = FOR ENTIRE YEAR";:LPRINT "    
7560 LPRINT "SOY = AT START OF YEAR"
7570 LPRINT "EOY = AT END OF YEAR"
7580 LPRINT
7590 H1=0: H2=0
7610 LPRINT "YEAR  TAX BRKT  INFL   LOAN %    POINTS      $POINTS   $DIRECT  LOAN PAYMENT/MO"
7620 LPRINT "        FEY     FEY     FEY         SOY         SOY       SOY            FEY"
7625 LPRINT
7630 K=1
7720 LPRINT USING B1$;K;:LPRINT USING B2$;TA(K);:LPRINT USING B3$;IN(K);:LPRINT USING B5$;LO(K);:LPRINT USING B6$;PO(K);:LPRINT USING B7$;ZP(K);:LPRINT USING B8$;DI(K);:LPRINT USING B9$;PA(K)
7730 H1 = H1 + ZP(K)
7740 H2 = H2 + DI(K)
7750 K = K + 1
7760 IF K = KXYEARS THEN 7780
7770 GOTO 7720
7780 LPRINT "-------------------------------------------------------------------------------"
7810 LPRINT USING C1$;H1;:LPRINT USING B8$;H2
7820 H3=0: H4=0: H5=0: H6=0
7860 K = 1
7870 LPRINT
7880 LPRINT
7890 LPRINT "YEAR  LOAN INTEREST   INT. + POINTS  TAX DEDUCT.  PRINCIPAL PAID     PRIN. LEFT"
7900 LPRINT "           FEY            FEY             EOY         FEY                 EOY"
7910 LPRINT
7940 H3 = H3 + ZL(K)
7950 H4 = H4 + ZT(K)
7960 H5 = H5 + TX(K)
7970 H6 = H6 + PP(K)
7980 LPRINT USING B1$;K;:LPRINT USING C3$;ZL(K);ZT(K);TX(K);:LPRINT USING C4$;PP(K);:LPRINT USING B9$;PR(K)
7990 K = K+1
8000 IF K = KXYEARS THEN 8020
8010 GOTO 7940
8020 LPRINT"-------------------------------------------------------------------------------"
8060 LPRINT USING C6$;H3;:LPRINT USING C7$;H4;:LPRINT USING C3$;H5;:LPRINT USING C7$;H6
8070 LPRINT
8080 LPRINT
8090 G3=0: G4=0
8100 K=1
8110 LPRINT "YEAR  CUMULATIVE INTEREST,  |   ANNUAL CASH FLOW OUT  |     CUM. CASH FLOW"
8113 LPRINT "      POINTS,& DIRECT COSTS,|   INCLUDING PRINCIPAL   |     INCL. PRINCIPAL"
8115 LPRINT "      MINUS TAX DEDUCTION   |   MINUS TAX DEDUCTION   |    MINUS TAX DEDUCT."
8120 LPRINT "                 ADJ. FOR   |              ADJ. FOR   |               ADJ. FOR"
8130 LPRINT "      NOMINAL   INFLATION   |   NOMINAL   INFLATION   |   NOMINAL    INFLATION"
8140 LPRINT
8170 G3 = G3 + CO(K)
8180 G4 = G4 + CY(K)
8190 LPRINT USING F5$;K;:LPRINT USING F3$;X3(K);:LPRINT USING F4$;X4(K);:LPRINT USING F3$;CO(K);:LPRINT USING F4$;CY(K);:LPRINT USING F4$;X1(K);:LPRINT USING F3$;X2(K)
8200 K = K+1
8210 IF K=KXYEARS THEN 8230
8220  GOTO 8170
8230 LPRINT "_______________________________________________________________________________"
8240 LPRINT
8260 LPRINT "TOTAL LOAN COST  W/O INFLATION =";:LPRINT USING B9$;G3
8270 LPRINT "TOTAL LOAN COST WITH INFLATION =";:LPRINT USING B9$;G4
8280 FOR J6=1 TO 10
8290 LPRINT
8300 NEXT J6
8310 GOTO 3000
8320 REM     **** END OF ROUTINE FOR PRINTED OUTPUT
8330 REM 
9000 REM   ***ROUTINE FOR SCREEN DISPLAY OF OUTPUT  ******
9010 ITEST = 0
9030 GOSUB 170
9040 PRINT "OUTPUT READY.  HIT ANY KEY TO START.  USE CONTRL-S OR 'PAUSE' TO SUSPEND."
9045 K$=INKEY$:IF LEN(K$)= 0 THEN 9045
9047 GOSUB 170
9050 PRINT "'MORTCOST' ANALYSIS"
9055 PRINT
9060 PRINT "ABBREVIATIONS";:PRINT "                            LOAN AMOUNT";:PRINT USING P$;PR(0)
9070 PRINT "FEY = FOR ENTIRE YEAR";:PRINT "    
9080 PRINT "SOY = AT START OF YEAR"
9090 PRINT "EOY = AT END OF YEAR"
9100 PRINT
9110 H1=0: H2=0
9130 PRINT "YEAR  TAX BRKT  INFL   LOAN %    POINTS      $POINTS   $DIRECT  LOAN PAYMENT/MO"
9140 PRINT "        FEY     FEY     FEY         SOY         SOY       SOY            FEY"
9145 PRINT
9150 K=1
9240 PRINT USING B1$;K;:PRINT USING B2$;TA(K);:PRINT USING B3$;IN(K);:PRINT USING B5$;LO(K);:PRINT USING B6$;PO(K);:PRINT USING B7$;ZP(K);:PRINT USING B8$;DI(K);:PRINT USING B9$;PA(K)
9250 H1 = H1 + ZP(K)
9260 H2 = H2 + DI(K)
9270 K = K + 1
9280 IF K = KXYEARS THEN 9300
9290 GOTO 9240
9300 PRINT "-------------------------------------------------------------------------------"
9330 PRINT USING C1$;H1;:PRINT USING B8$;H2
9340 H3=0: H4=0: H5=0: H6=0
9380 K = 1
9390 PRINT
9400 PRINT
9410 PRINT "YEAR  LOAN INTEREST   INT. + POINTS  TAX DEDUCT.  PRINCIPAL PAID     PRIN. LEFT"
9420 PRINT "           FEY            FEY             EOY         FEY                 EOY"
9430 PRINT
9460 H3 = H3 + ZL(K)
9470 H4 = H4 + ZT(K)
9480 H5 = H5 + TX(K)
9490 H6 = H6 + PP(K)
9500 PRINT USING B1$;K;:PRINT USING C3$;ZL(K);ZT(K);TX(K);:PRINT USING C4$;PP(K);:PRINT USING B9$;PR(K)
9510 K = K+1
9520 IF K = KXYEARS THEN 9540
9530 GOTO 9460
9540 PRINT"-------------------------------------------------------------------------------"
9580 PRINT USING C6$;H3;:PRINT USING C7$;H4;:PRINT USING C3$;H5;:PRINT USING C7$;H6
9590 PRINT
9600 PRINT
9610 G3=0: G4=0
9620 K=1
9630 PRINT "YEAR  CUMULATIVE INTEREST,  |   ANNUAL CASH FLOW OUT  |     CUM. CASH FLOW"
9640 PRINT "      POINTS,& DIRECT COSTS,|   INCLUDING PRINCIPAL   |     INCL. PRINCIPAL"
9650 PRINT "      MINUS TAX DEDUCTION   |   MINUS TAX DEDUCTION   |    MINUS TAX DEDUCT."
9660 PRINT "                 ADJ. FOR   |              ADJ. FOR   |              ADJ. FOR"
9670 PRINT "      NOMINAL   INFLATION   |   NOMINAL   INFLATION   |   NOMINAL    INFLATION"
9680 PRINT
9690 G3 = G3 + CO(K)
9700 G4 = G4 + CY(K)
9710 PRINT USING F5$;K;:PRINT USING F3$;X3(K);:PRINT USING F4$;X4(K);:PRINT USING F3$;CO(K);:PRINT USING F4$;CY(K);:PRINT USING F4$;X1(K);:PRINT USING F3$;X2(K)
9720 K=K+1
9730 IF K=KXYEARS THEN 9750
9740 GOTO 9690
9750 PRINT "_______________________________________________________________________________"
9760 PRINT
9780 PRINT "TOTAL LOAN COST  W/O INFLATION =";:PRINT USING B9$;G3
9790 PRINT "TOTAL LOAN COST WITH INFLATION =";:PRINT USING B9$;G4
9800 PRINT
9810 PRINT "HIT SPACEBAR TO CONTINUE
9820 K$=INKEY$:IF LEN(K$)= 0 THEN 9820 
9825 IF ASC(K$)<>32 THEN 9820
9830 GOTO 3000
10000 PRINT 
10010 PRINT
10020 PRINT "***CAUTION***
10030 PRINT 
10040 PRINT "ARE YOU SURE THAT YOU WANT TO EXIT PROGRAM? (Y/N)"
10050 K$=INKEY$ :IF K$ = "Y" OR K$ = "y" THEN GOTO 10080
10060 IF K$ = "N" OR K$ = "n" THEN GOTO 3000
10070 GOTO 10050
10080 SYSTEM
10090 END
